Summary:	xinit application - X Window System initializer
Summary(pl.UTF-8):	Aplikacja xinit do uruchamiania X Window System
Name:		xorg-app-xinit
Version:	1.4.1
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xinit-%{version}.tar.bz2
# Source0-md5:	6d506ab2efc17a08e87778654e099d37
Source1:	startx.1x.it
Source2:	startx.1x.pl
Source3:	xinit.1x.it
Source4:	xinit.1x.pl
Patch0:		%{name}-xwrapper.patch
Patch1:		%{name}-consolekit-support.patch
URL:		https://xorg.freedesktop.org/
BuildRequires:	ConsoleKit-devel
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	cpp
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.19
Requires:	xinitrc-ng
Requires:	xorg-app-xauth
Suggests:	ConsoleKit-x11
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xinit program is used to start the X Window System server and a
first client program on systems that cannot start X directly from init
or in environments that use multiple window systems. When this first
client exits, xinit will kill the X server and then terminate.

%description -l pl.UTF-8
Program xinit służy do uruchamiania serwera X Window System i
pierwszego programu klienckiego na systemach, które nie mogą uruchomić
X bezpośrednio z inita lub w środowiskach używających wielu systemów
okienkowych. Po zakończeniu pierwszego klienta xinit zabija serwer X i
kończy działanie.

%prep
%setup -q -n xinit-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-consolekit \
	--with-xinitdir=/etc/X11/xinit

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/it/man1/startx.1x
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/pl/man1/startx.1x
install -D %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/it/man1/xinit.1x
install -D %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/pl/man1/xinit.1x

%{__rm} $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/startx
%attr(755,root,root) %{_bindir}/xinit
%{_mandir}/man1/startx.1*
%{_mandir}/man1/xinit.1*
%lang(it) %{_mandir}/it/man1/startx.1*
%lang(it) %{_mandir}/it/man1/xinit.1*
%lang(pl) %{_mandir}/pl/man1/startx.1*
%lang(pl) %{_mandir}/pl/man1/xinit.1*
%changelog
* Sun May 01 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xinit.git;a=log;h=master

* Wed Apr 06 2022 Marcin Krol <hawk@tld-linux.org> 6d473db
- rediffed

* Tue Mar 05 2019 Jakub Bogusz <qboosh@pld-linux.org> 40f0a6d
- updated to 1.4.1

* Thu Mar 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 140fb05
- updated to 1.4.0

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 44392e0
- x32 rebuild
- release 2 (by relup.sh)

* Sat Sep 13 2014 Jakub Bogusz <qboosh@pld-linux.org> a9f37d8
- updated dependencies

* Fri Sep 12 2014 Kacper Kornet <draenog@pld-linux.org> 188d0e2
- up to 1.3.4
- updated consolekit-support.patch

* Fri Sep 12 2014 Kacper Kornet <draenog@pld-linux.org> 9654969
- rediff patches as consolekit-support.patch has been applied in wrong
  place with fuzz=2

* Tue Sep 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 282f520
- updated to 1.3.3
- updated consolekit-support patch

* Fri May 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 756dd52
- rel 4; build fix

* Tue Feb 12 2013 Elan Ruusamäe <glen@delfi.ee> dbd0640
- suggests works fine

* Mon Feb 11 2013 Elan Ruusamäe <glen@delfi.ee> 67064c0
- R: ConsoleKit-x11

* Sat Jan 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> eb2607b
- up to 1.3.2

* Thu Jul 28 2011 Jan Rękorajski <baggins@pld-linux.org> 8347e1c
- rel 2
- drop xinitrc package, just require xinitrc-ng

* Mon Jul 25 2011 Jakub Bogusz <qboosh@pld-linux.org> bc4e435
- updated to 1.3.1

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> c2265e2
- updated to 1.3.0
- updated patches (ck functioning untested)

* Thu May 27 2010 Jakub Bogusz <qboosh@pld-linux.org> 1d36dbd
- util-macros version

* Thu May 27 2010 Jakub Bogusz <qboosh@pld-linux.org> 174c70a
- updated to 1.2.1
- removed obsolete xinitdir patch (pass --with-xinitdir instead)
- updated consolekit-support patch

* Thu Dec 25 2008 Jakub Bogusz <qboosh@pld-linux.org> d2ecaac
- updated to 1.1.1

* Thu Jun 12 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 758e588
- up to 1.1.0

* Wed May 21 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 842e90f
- up to 1.0.9

